Sign inGet started

Access keys

GET
/organizations/{organizationId}/access-keys
List the access keys that are created for this organization.
Parametry zapytania
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Treść odpowiedzi
results
array of object
wymagane
List of access keys.
Pokaż atrybuty podrzędne
results.id
string
wymagane
ID of the access key.
results.organizationId
string
wymagane
ID of the organization that owns the access key.
results.name
string
wymagane
Access key name.
results.type
string
Possible values: user, workspace, workspace-scim, service, organization
results.description
string
Access key description.
results.suffix
string
wymagane
Access key suffix.
results.lastUsedAt
string
When the access key was last used.
results.createdAt
string
wymagane
When the access key was created.
results.updatedAt
string
When the access key was last updated.
results.roleIds
array of string
IDs of IAM roles attached to the access key.
results.roleRefs
array of object
The list of IAM roles assigned to the access key.
Pokaż atrybuty podrzędne
results.roleRefs.id
string
wymagane
results.roleRefs.type
string
wymagane
Possible values: organization, managed
results.roleRefs.workspaces
array of string
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
Przykład kodu
curl -X GET 'https://api.bird.com/organizations/{organizationId}/access-keys' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/organizations/{organizationId}/access-keys
Create a new access key for the organization.
Treść żądania
name
string
wymagane
Access key name.
description
string
wymagane
Access key description.
roleIds
array of string
IAM roles attached to this access key.
roleRefs
array of object
The list of IAM roles to assign to the access key.
Pokaż parametry podrzędne
roleRefs.id
string
wymagane
roleRefs.type
string
wymagane
Possible values: organization, managed
roleRefs.workspaces
array of string
Treść odpowiedzi
accessKey
object
wymagane
The access key record.
Pokaż atrybuty podrzędne
accessKey.id
string
wymagane
ID of the access key.
accessKey.organizationId
string
wymagane
ID of the organization that owns the access key.
accessKey.name
string
wymagane
Access key name.
accessKey.type
string
Possible values: user, workspace, workspace-scim, service, organization
accessKey.description
string
Access key description.
accessKey.suffix
string
wymagane
Access key suffix.
accessKey.lastUsedAt
string
When the access key was last used.
accessKey.createdAt
string
wymagane
When the access key was created.
accessKey.updatedAt
string
When the access key was last updated.
accessKey.roleIds
array of string
IDs of IAM roles attached to the access key.
accessKey.roleRefs
array of object
The list of IAM roles assigned to the access key.
Pokaż atrybuty podrzędne
accessKey.roleRefs.id
string
wymagane
accessKey.roleRefs.type
string
wymagane
Possible values: organization, managed
accessKey.roleRefs.workspaces
array of string
token
string
wymagane
The token that can be used for authentication
Przykład kodu
curl -X POST 'https://api.bird.com/organizations/{organizationId}/access-keys' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/organizations/{organizationId}/access-keys/{accessKeyId}
Retrieve a single access key.
Treść odpowiedzi
id
string
wymagane
ID of the access key.
organizationId
string
wymagane
ID of the organization that owns the access key.
name
string
wymagane
Access key name.
type
string
Possible values: user, workspace, workspace-scim, service, organization
description
string
Access key description.
suffix
string
wymagane
Access key suffix.
lastUsedAt
string
When the access key was last used.
createdAt
string
wymagane
When the access key was created.
updatedAt
string
When the access key was last updated.
roles
array of object
wymagane
IAM roles attached to this access key.
Pokaż atrybuty podrzędne
roles.accessKeysDependencyCount
integer
wymagane
The number of access keys this role is assigned to.
roles.actions
array of object
Actions this role contains.
Pokaż atrybuty podrzędne
roles.actions.name
string
wymagane
The name of the action.
roles.actions.type
string
wymagane
The type that the action belongs to.
roles.createdAt
string
wymagane
When this role was created.
roles.description
string
Role description.
roles.id
string
wymagane
ID of the role.
roles.metadata
object
Metadata for the IAM Role.
Pokaż atrybuty podrzędne
roles.metadata.clouds
array of string
roles.name
string
wymagane
Role name.
roles.organizationId
string
ID of the organization to which this role belongs.
roles.policies
array of object
wymagane
IAM Policies this role contains.
Pokaż atrybuty podrzędne
The IAM policy record.
roles.policies.createdAt
string
wymagane
When the IAM Policy was created.
roles.policies.definitions
array of object
wymagane
List of IAM Policy definitions.
Pokaż atrybuty podrzędne
roles.policies.definitions.actions
array of string
wymagane
A list of actions
roles.policies.definitions.conditionsAll
array of object
Pokaż atrybuty podrzędne
roles.policies.definitions.conditionsAll.any
object
roles.policies.definitions.effect
string
wymagane
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
roles.policies.definitions.resources
array of string
wymagane
A list of resources
roles.policies.description
string
IAM Policy description.
roles.policies.id
string
wymagane
ID of the IAM Policy.
roles.policies.metadata
object
Metadata for the IAM Policy.
Pokaż atrybuty podrzędne
roles.policies.metadata.apps
array of string
roles.policies.metadata.clouds
array of string
roles.policies.metadata.groups
array of string
roles.policies.name
string
wymagane
IAM Policy name.
roles.policies.rolesDependencyCount
integer
The number of IAM Roles that depend on this IAM policy.
roles.policies.scope
string
wymagane
The scope to which this policy applies.
Possible values: organization, root
roles.policies.updatedAt
string
wymagane
When the IAM Policy was last updated.
roles.policies.usersDependencyCount
integer
The number of users that depend on this IAM policy.
roles.type
string
wymagane
Whether this role is managed by MessageBird or by the organization.
Possible values: organization, managed
roles.updatedAt
string
wymagane
When this role was last updated.
roles.usersDependencyCount
integer
wymagane
The number of users this role is assigned to.
Przykład kodu
curl -X GET 'https://api.bird.com/organizations/{organizationId}/access-keys/{accessKeyId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/organizations/{organizationId}/access-keys/{accessKeyId}
Remove the access key from the organization.
Przykład kodu
curl -X DELETE 'https://api.bird.com/organizations/{organizationId}/access-keys/{accessKeyId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/organizations/{organizationId}/access-keys/{accessKeyId}
Update the access key's properties.
Treść żądania
name
string
Access key name.
description
string
Access key description.
roleIds
array of string
IAM roles attached to this access key.
roleRefs
array of object
The list of IAM roles to assign to the access key.
Pokaż parametry podrzędne
roleRefs.id
string
wymagane
roleRefs.type
string
wymagane
Possible values: organization, managed
roleRefs.workspaces
array of string
Treść odpowiedzi
id
string
wymagane
ID of the access key.
organizationId
string
wymagane
ID of the organization that owns the access key.
name
string
wymagane
Access key name.
type
string
Possible values: user, workspace, workspace-scim, service, organization
description
string
Access key description.
suffix
string
wymagane
Access key suffix.
lastUsedAt
string
When the access key was last used.
createdAt
string
wymagane
When the access key was created.
updatedAt
string
When the access key was last updated.
roleIds
array of string
IDs of IAM roles attached to the access key.
roleRefs
array of object
The list of IAM roles assigned to the access key.
Pokaż atrybuty podrzędne
roleRefs.id
string
wymagane
roleRefs.type
string
wymagane
Possible values: organization, managed
roleRefs.workspaces
array of string
Przykład kodu
curl -X PATCH 'https://api.bird.com/organizations/{organizationId}/access-keys/{accessKeyId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'